Bug 158734 - Activate CMake export compile commands option
Summary: Activate CMake export compile commands option
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 07:00 PDT by youenn fablet
Modified: 2016-06-21 06:07 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.35 KB, patch)
2016-06-14 07:05 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2016-06-14 07:00:52 PDT
This CMake option is activated for GTK only currently.
But it might also be handy for other ports that use CMake.
This option allows using ymcd autocompletion and is not consuming a lot of time according bug 131591.
Comment 1 youenn fablet 2016-06-14 07:05:45 PDT
Created attachment 281256 [details]
Patch
Comment 2 Alex Christensen 2016-06-14 09:08:19 PDT
Comment on attachment 281256 [details]
Patch

OMG YES!!!
Comment 3 WebKit Commit Bot 2016-06-14 09:31:13 PDT
Comment on attachment 281256 [details]
Patch

Clearing flags on attachment: 281256

Committed r202046: <http://trac.webkit.org/changeset/202046>
Comment 4 WebKit Commit Bot 2016-06-14 09:31:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 youenn fablet 2016-06-14 09:45:00 PDT
youcompleteme is working on my setup for both gtk and mac platforms using the same config in Tools/gtk.
Maybe we should move that config in a non gtk-folder?
Comment 6 ChangSeok Oh 2016-06-14 13:54:56 PDT
(In reply to comment #5)
> youcompleteme is working on my setup for both gtk and mac platforms using
> the same config in Tools/gtk.
> Maybe we should move that config in a non gtk-folder?

Interesting. Youenn, does cmake build work for mac port now? When I tried it few weeks ago, it was broken.
Comment 7 youenn fablet 2016-06-15 01:45:49 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > youcompleteme is working on my setup for both gtk and mac platforms using
> > the same config in Tools/gtk.
> > Maybe we should move that config in a non gtk-folder?
> 
> Interesting. Youenn, does cmake build work for mac port now? When I tried it
> few weeks ago, it was broken.

I think it compiles JSC and WebCore but fails generating some executables like DRT/WTR (compilation, link?).
For the purpose of ycmd conf generation, it works just fine.